Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1121553

Description of problem:

When the access to the internet is restricted by a proxy, the repo discovery
doesn't work, reporting success with no repositoried found

Actual results:

No repositories discovered

Expected results:

The proxy settings are used and repositories are discovered

Additional info:

Associated revisions

Revision cb16e806 - 08/07/2014 03:35 PM - Eric Helms

Fixes #6993: Allow repo-discovery through a proxy.

Note that the Anemone gem allows the passing of proxy_host and proxy_port
by default but does not currently support proxy user and password.
In order to get around this, a monkey patch is applied to anemone
to allow passing user and port.

Revision 45ea963b - 08/13/2014 08:52 AM - Ivan Necas

Merge pull request #4549 from ehelms/fixes-6993

Fixes #6993: Allow repo-discovery through a proxy.

Revision db29224b - 08/27/2014 03:34 PM - Eric Helms

Fixes #6993: Ensure repo discovery proxy setup is loaded in production.

Without this change, repo discovery behind a proxy works within the
Rails development environment. However, the monkey patch to Anemone
to enable authenticated proxies is not loaded in production.

Revision 67fe5429 - 08/27/2014 03:59 PM - Eric Helms

Merge pull request #4620 from ehelms/fixes-6993

Fixes #6993: Ensure repo discovery proxy setup is loaded in production.

History

#1 - 08/07/2014 03:32 PM - Eric Helms

- Target version set to 54
https://bugzilla.redhat.com/show_bug.cgi?id=1121553

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/07/2014 03:36 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4549 added
- Pull request deleted ()

#3 - 08/13/2014 09:01 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|cb16e8064425a7afbb5a4d5052123a775df6aaed.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
